Bug 164481 - [GTK] Do not use gstreamer-gl when accelerated compositing is disabled
Summary: [GTK] Do not use gstreamer-gl when accelerated compositing is disabled
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Miguel Gomez
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-11-07 07:39 PST by Miguel Gomez
Modified: 2016-11-14 07:24 PST (History)
2 users (show)

See Also:


Attachments
Patch (1.73 KB, patch)
2016-11-07 08:07 PST, Miguel Gomez
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Miguel Gomez 2016-11-07 07:39:26 PST
If the build is done with GSTREAMER_GL enabled, we need to be sure that it's not used when accelerated compositing is disabled using the WEBKIT_DISABLE_COMPOSITING_MODE environment variable.
Comment 1 Miguel Gomez 2016-11-07 08:07:21 PST
Created attachment 294063 [details]
Patch
Comment 2 Zan Dobersek 2016-11-07 23:00:32 PST
Comment on attachment 294063 [details]
Patch

LGTM. Currently there's an infrastructure problem and we're discouraged from landing patches, so setting cq- until we can land this.
Comment 3 WebKit Commit Bot 2016-11-10 05:36:30 PST
Comment on attachment 294063 [details]
Patch

Rejecting attachment 294063 [details] from commit-queue.

magomez@igalia.com does not have committer permissions according to http://trac.webkit.org/browser/trunk/Tools/Scripts/webkitpy/common/config/contributors.json.

- If you do not have committer rights please read http://webkit.org/coding/contributing.html for instructions on how to use bugzilla flags.

- If you have committer rights please correct the error in Tools/Scripts/webkitpy/common/config/contributors.json by adding yourself to the file (no review needed).  The commit-queue restarts itself every 2 hours.  After restart the commit-queue will correctly respect your committer rights.
Comment 4 WebKit Commit Bot 2016-11-14 07:24:25 PST
Comment on attachment 294063 [details]
Patch

Clearing flags on attachment: 294063

Committed r208680: <http://trac.webkit.org/changeset/208680>
Comment 5 WebKit Commit Bot 2016-11-14 07:24:29 PST
All reviewed patches have been landed.  Closing bug.